Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network71.76.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
71.76.0.0
Broadcast address
71.76.127.255
First usable
71.76.0.1
Last usable
71.76.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
A (default /8)
As numbers
Hex 474C0000 · Integer 1196163072 to 1196195839
Reverse DNS zones
0.76.71.in-addr.arpa
1.76.71.in-addr.arpa
2.76.71.in-addr.arpa
3.76.71.in-addr.arpa
4.76.71.in-addr.arpa
5.76.71.in-addr.arpa
6.76.71.in-addr.arpa
7.76.71.in-addr.arpa
8.76.71.in-addr.arpa
9.76.71.in-addr.arpa
10.76.71.in-addr.arpa
11.76.71.in-addr.arpa
12.76.71.in-addr.arpa
13.76.71.in-addr.arpa
14.76.71.in-addr.arpa
15.76.71.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01000111.01001100.00000000.0000000071.76.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network01000111.01001100.00000000.0000000071.76.0.0
Broadcast01000111.01001100.01111111.1111111171.76.127.255
Split into smaller subnets/24

71.76.0.0/17 makes 128 subnets of /24.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
171.76.0.0/2471.76.0.1 to 71.76.0.25471.76.0.255254
271.76.1.0/2471.76.1.1 to 71.76.1.25471.76.1.255254
371.76.2.0/2471.76.2.1 to 71.76.2.25471.76.2.255254
471.76.3.0/2471.76.3.1 to 71.76.3.25471.76.3.255254
571.76.4.0/2471.76.4.1 to 71.76.4.25471.76.4.255254
671.76.5.0/2471.76.5.1 to 71.76.5.25471.76.5.255254
771.76.6.0/2471.76.6.1 to 71.76.6.25471.76.6.255254
871.76.7.0/2471.76.7.1 to 71.76.7.25471.76.7.255254
971.76.8.0/2471.76.8.1 to 71.76.8.25471.76.8.255254
1071.76.9.0/2471.76.9.1 to 71.76.9.25471.76.9.255254
1171.76.10.0/2471.76.10.1 to 71.76.10.25471.76.10.255254
1271.76.11.0/2471.76.11.1 to 71.76.11.25471.76.11.255254
1371.76.12.0/2471.76.12.1 to 71.76.12.25471.76.12.255254
1471.76.13.0/2471.76.13.1 to 71.76.13.25471.76.13.255254
1571.76.14.0/2471.76.14.1 to 71.76.14.25471.76.14.255254
1671.76.15.0/2471.76.15.1 to 71.76.15.25471.76.15.255254
1771.76.16.0/2471.76.16.1 to 71.76.16.25471.76.16.255254
1871.76.17.0/2471.76.17.1 to 71.76.17.25471.76.17.255254
1971.76.18.0/2471.76.18.1 to 71.76.18.25471.76.18.255254
2071.76.19.0/2471.76.19.1 to 71.76.19.25471.76.19.255254
2171.76.20.0/2471.76.20.1 to 71.76.20.25471.76.20.255254
2271.76.21.0/2471.76.21.1 to 71.76.21.25471.76.21.255254
2371.76.22.0/2471.76.22.1 to 71.76.22.25471.76.22.255254
2471.76.23.0/2471.76.23.1 to 71.76.23.25471.76.23.255254
2571.76.24.0/2471.76.24.1 to 71.76.24.25471.76.24.255254
2671.76.25.0/2471.76.25.1 to 71.76.25.25471.76.25.255254
2771.76.26.0/2471.76.26.1 to 71.76.26.25471.76.26.255254
2871.76.27.0/2471.76.27.1 to 71.76.27.25471.76.27.255254
2971.76.28.0/2471.76.28.1 to 71.76.28.25471.76.28.255254
3071.76.29.0/2471.76.29.1 to 71.76.29.25471.76.29.255254
3171.76.30.0/2471.76.30.1 to 71.76.30.25471.76.30.255254
3271.76.31.0/2471.76.31.1 to 71.76.31.25471.76.31.255254
3371.76.32.0/2471.76.32.1 to 71.76.32.25471.76.32.255254
3471.76.33.0/2471.76.33.1 to 71.76.33.25471.76.33.255254
3571.76.34.0/2471.76.34.1 to 71.76.34.25471.76.34.255254
3671.76.35.0/2471.76.35.1 to 71.76.35.25471.76.35.255254
3771.76.36.0/2471.76.36.1 to 71.76.36.25471.76.36.255254
3871.76.37.0/2471.76.37.1 to 71.76.37.25471.76.37.255254
3971.76.38.0/2471.76.38.1 to 71.76.38.25471.76.38.255254
4071.76.39.0/2471.76.39.1 to 71.76.39.25471.76.39.255254
4171.76.40.0/2471.76.40.1 to 71.76.40.25471.76.40.255254
4271.76.41.0/2471.76.41.1 to 71.76.41.25471.76.41.255254
4371.76.42.0/2471.76.42.1 to 71.76.42.25471.76.42.255254
4471.76.43.0/2471.76.43.1 to 71.76.43.25471.76.43.255254
4571.76.44.0/2471.76.44.1 to 71.76.44.25471.76.44.255254
4671.76.45.0/2471.76.45.1 to 71.76.45.25471.76.45.255254
4771.76.46.0/2471.76.46.1 to 71.76.46.25471.76.46.255254
4871.76.47.0/2471.76.47.1 to 71.76.47.25471.76.47.255254
4971.76.48.0/2471.76.48.1 to 71.76.48.25471.76.48.255254
5071.76.49.0/2471.76.49.1 to 71.76.49.25471.76.49.255254
5171.76.50.0/2471.76.50.1 to 71.76.50.25471.76.50.255254
5271.76.51.0/2471.76.51.1 to 71.76.51.25471.76.51.255254
5371.76.52.0/2471.76.52.1 to 71.76.52.25471.76.52.255254
5471.76.53.0/2471.76.53.1 to 71.76.53.25471.76.53.255254
5571.76.54.0/2471.76.54.1 to 71.76.54.25471.76.54.255254
5671.76.55.0/2471.76.55.1 to 71.76.55.25471.76.55.255254
5771.76.56.0/2471.76.56.1 to 71.76.56.25471.76.56.255254
5871.76.57.0/2471.76.57.1 to 71.76.57.25471.76.57.255254
5971.76.58.0/2471.76.58.1 to 71.76.58.25471.76.58.255254
6071.76.59.0/2471.76.59.1 to 71.76.59.25471.76.59.255254
6171.76.60.0/2471.76.60.1 to 71.76.60.25471.76.60.255254
6271.76.61.0/2471.76.61.1 to 71.76.61.25471.76.61.255254
6371.76.62.0/2471.76.62.1 to 71.76.62.25471.76.62.255254
6471.76.63.0/2471.76.63.1 to 71.76.63.25471.76.63.255254
6571.76.64.0/2471.76.64.1 to 71.76.64.25471.76.64.255254
6671.76.65.0/2471.76.65.1 to 71.76.65.25471.76.65.255254
6771.76.66.0/2471.76.66.1 to 71.76.66.25471.76.66.255254
6871.76.67.0/2471.76.67.1 to 71.76.67.25471.76.67.255254
6971.76.68.0/2471.76.68.1 to 71.76.68.25471.76.68.255254
7071.76.69.0/2471.76.69.1 to 71.76.69.25471.76.69.255254
7171.76.70.0/2471.76.70.1 to 71.76.70.25471.76.70.255254
7271.76.71.0/2471.76.71.1 to 71.76.71.25471.76.71.255254
7371.76.72.0/2471.76.72.1 to 71.76.72.25471.76.72.255254
7471.76.73.0/2471.76.73.1 to 71.76.73.25471.76.73.255254
7571.76.74.0/2471.76.74.1 to 71.76.74.25471.76.74.255254
7671.76.75.0/2471.76.75.1 to 71.76.75.25471.76.75.255254
7771.76.76.0/2471.76.76.1 to 71.76.76.25471.76.76.255254
7871.76.77.0/2471.76.77.1 to 71.76.77.25471.76.77.255254
7971.76.78.0/2471.76.78.1 to 71.76.78.25471.76.78.255254
8071.76.79.0/2471.76.79.1 to 71.76.79.25471.76.79.255254
8171.76.80.0/2471.76.80.1 to 71.76.80.25471.76.80.255254
8271.76.81.0/2471.76.81.1 to 71.76.81.25471.76.81.255254
8371.76.82.0/2471.76.82.1 to 71.76.82.25471.76.82.255254
8471.76.83.0/2471.76.83.1 to 71.76.83.25471.76.83.255254
8571.76.84.0/2471.76.84.1 to 71.76.84.25471.76.84.255254
8671.76.85.0/2471.76.85.1 to 71.76.85.25471.76.85.255254
8771.76.86.0/2471.76.86.1 to 71.76.86.25471.76.86.255254
8871.76.87.0/2471.76.87.1 to 71.76.87.25471.76.87.255254
8971.76.88.0/2471.76.88.1 to 71.76.88.25471.76.88.255254
9071.76.89.0/2471.76.89.1 to 71.76.89.25471.76.89.255254
9171.76.90.0/2471.76.90.1 to 71.76.90.25471.76.90.255254
9271.76.91.0/2471.76.91.1 to 71.76.91.25471.76.91.255254
9371.76.92.0/2471.76.92.1 to 71.76.92.25471.76.92.255254
9471.76.93.0/2471.76.93.1 to 71.76.93.25471.76.93.255254
9571.76.94.0/2471.76.94.1 to 71.76.94.25471.76.94.255254
9671.76.95.0/2471.76.95.1 to 71.76.95.25471.76.95.255254
9771.76.96.0/2471.76.96.1 to 71.76.96.25471.76.96.255254
9871.76.97.0/2471.76.97.1 to 71.76.97.25471.76.97.255254
9971.76.98.0/2471.76.98.1 to 71.76.98.25471.76.98.255254
10071.76.99.0/2471.76.99.1 to 71.76.99.25471.76.99.255254
10171.76.100.0/2471.76.100.1 to 71.76.100.25471.76.100.255254
10271.76.101.0/2471.76.101.1 to 71.76.101.25471.76.101.255254
10371.76.102.0/2471.76.102.1 to 71.76.102.25471.76.102.255254
10471.76.103.0/2471.76.103.1 to 71.76.103.25471.76.103.255254
10571.76.104.0/2471.76.104.1 to 71.76.104.25471.76.104.255254
10671.76.105.0/2471.76.105.1 to 71.76.105.25471.76.105.255254
10771.76.106.0/2471.76.106.1 to 71.76.106.25471.76.106.255254
10871.76.107.0/2471.76.107.1 to 71.76.107.25471.76.107.255254
10971.76.108.0/2471.76.108.1 to 71.76.108.25471.76.108.255254
11071.76.109.0/2471.76.109.1 to 71.76.109.25471.76.109.255254
11171.76.110.0/2471.76.110.1 to 71.76.110.25471.76.110.255254
11271.76.111.0/2471.76.111.1 to 71.76.111.25471.76.111.255254
11371.76.112.0/2471.76.112.1 to 71.76.112.25471.76.112.255254
11471.76.113.0/2471.76.113.1 to 71.76.113.25471.76.113.255254
11571.76.114.0/2471.76.114.1 to 71.76.114.25471.76.114.255254
11671.76.115.0/2471.76.115.1 to 71.76.115.25471.76.115.255254
11771.76.116.0/2471.76.116.1 to 71.76.116.25471.76.116.255254
11871.76.117.0/2471.76.117.1 to 71.76.117.25471.76.117.255254
11971.76.118.0/2471.76.118.1 to 71.76.118.25471.76.118.255254
12071.76.119.0/2471.76.119.1 to 71.76.119.25471.76.119.255254
12171.76.120.0/2471.76.120.1 to 71.76.120.25471.76.120.255254
12271.76.121.0/2471.76.121.1 to 71.76.121.25471.76.121.255254
12371.76.122.0/2471.76.122.1 to 71.76.122.25471.76.122.255254
12471.76.123.0/2471.76.123.1 to 71.76.123.25471.76.123.255254
12571.76.124.0/2471.76.124.1 to 71.76.124.25471.76.124.255254
12671.76.125.0/2471.76.125.1 to 71.76.125.25471.76.125.255254
12771.76.126.0/2471.76.126.1 to 71.76.126.25471.76.126.255254
12871.76.127.0/2471.76.127.1 to 71.76.127.25471.76.127.255254

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses